%define version 1.3
%define release %mkrel 3

Name:		hardware-monitor
Summary:	Hardware monitoring applet for GNOME panel
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://www.cs.auc.dk/~olau/hardware-monitor/
Group:		Monitoring
Source0:	http://www.cs.auc.dk/~olau/hardware-monitor/source/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

BuildRequires:	libgnomeuimm2.6-devel
BuildRequires:	libglademm2.4-devel
BuildRequires:	gnome-panel-devel >= 2.0
BuildRequires:	libgtop2.0-devel >= 2.6
BuildRequires:	lm_sensors-devel

%description
Hardware Monitor is a monitor applet for the Gnome panel. It supports
a variety of monitoring capabilities (CPU usage, network throughput
etc.) and different kinds of viewers (curves, bars, columns, text,
flames).

%prep
%setup -q

%build
%configure2_5x --with-libsensors=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%{_libdir}/bonobo/servers/*
%{_libexecdir}/%{name}
%{_datadir}/hardware-monitor
%{_datadir}/pixmaps/*

%changelog
* Fri Apr 21 2006 Frederic Crozat <fcrozat@mandriva.com> 1.3-3mdk
- Rebuild

* Fri Dec 16 2005 Erwan Velu <erwan@seanodes.com> 1.3.0-1mdk
- 1.3.0

* Tue Jul 19 2005 Abel Cheung <deaddog@mandriva.org> 1.2.1-2mdk
- Rebuild

* Fri Mar 18 2005 Austin Acton <austin@mandrake.org> 1.2.1-1mdk
- New release 1.2.1

* Tue Aug 10 2004 Abel Cheung <deaddog@deaddog.org> 1.2-1mdk
- New version
- P0: enable building with new g++

* Sat May 1 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 0.7-2mdk
- Rebuild

* Fri Dec 12 2003 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 0.7-1mdk
- Make a spec file
